<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>JavaScript form validation - checking non-empty</title>
<link rel='stylesheet' href='form-style.css' type='text/css' />
</head>
<body>
<div class="mail">
<h2>Input your Name and Submit</h2>
<form name="form1" action="#" onsubmit="required()">

<li><input type='text' name ='text1'/></li>
<li><input type="submit" name="submit" value="Submit" /></li>

</form>
</div>
<script src="non-empty.js"></script>
</body>
</html>